<?php
load_template(TEMPLATEPATH . '/anps-framework/recaptchalib.php');
/* Add shortcodes */
load_template(TEMPLATEPATH . '/anps-framework/shortcodes_functions.php');
add_shortcode('alert', 'anps_alert_func'); 
add_shortcode('button', 'anps_button_func'); 
add_shortcode('content_half', 'anps_content_half_func'); 
add_shortcode('content_third', 'anps_content_third_func'); 
add_shortcode('content_two_third', 'anps_content_two_third_func'); 
add_shortcode('content_quarter', 'anps_content_quarter_func'); 
add_shortcode('content_two_quarter', 'anps_content_two_quarter_func'); 
add_shortcode('content_three_quarter', 'anps_content_three_quarter_func'); 
add_shortcode("dropcaps", "anps_dropcaps_func"); 
add_shortcode('error_404', 'anps_error_404_func');
add_shortcode('google_maps', 'anps_google_maps_func'); 
add_shortcode('heading', 'anps_heading_func'); 
add_shortcode('icon', 'anps_icon_func'); 
add_shortcode("image", "anps_image_func"); 
add_shortcode('mark', 'anps_mark_func'); 
add_shortcode("portfolio", "anps_portfolio_func");
add_shortcode("recent_blog", "anps_recent_blog_func"); 
add_shortcode("recent_portfolio", "anps_recent_portfolio_func"); 
add_shortcode('quote', 'anps_quote_func'); 
add_shortcode("twitter", "anps_twitter_func"); 
add_shortcode('vimeo', 'anps_vimeo_func'); 
add_shortcode('youtube', 'anps_youtube_func'); 
/* Load VC shortcodes support */
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( is_plugin_active( 'js_composer/js_composer.php' ) && function_exists('add_shortcode_param') ) {
    load_template(TEMPLATEPATH . '/anps-framework/vc_shortcodes_map.php');
} else {
    function remove_wpautop($content, $autop = false) {
        if($autop) { // Possible to use !preg_match('('.WPBMap::getTagsRegexp().')', $content)
            $content = wpautop(preg_replace('/<\/?p\>/', "\n", $content)."\n");
        }
        return do_shortcode( shortcode_unautop($content) );
      }
      add_shortcode('vc_single_image', 'anps_vc_single_image');
      add_shortcode('layerslider_vc', 'anps_vc_layer_slider');
      add_shortcode('rev_slider_vc', 'anps_vc_rev_slider');
      add_shortcode('vc_row', 'vc_theme_rows');
      add_shortcode('vc_row_inner', 'vc_theme_rows_inner');
      add_shortcode('vc_column', 'vc_theme_columns');
      add_shortcode('vc_column_inner', 'vc_theme_columns');
      add_shortcode('vc_column_text', 'vc_column_text_func');
      add_shortcode('vc_tabs', 'vc_tabs_func'); 
      add_shortcode('tabs', 'anps_tabs_func');
      add_shortcode('tab', 'anps_tab_func');
      add_shortcode("coming_soon", "anps_coming_soon_func");
      add_shortcode('anps_list', 'anps_list_func');
      add_shortcode('list_item', 'anps_list_item_func');
      add_shortcode('opening_time', 'anps_opening_time_func');
      add_shortcode('opening_time_item', 'anps_opening_time_item_func');
      add_shortcode('pricing_table', 'anps_pricing_table_func');
      add_shortcode('pricing_table_item', 'anps_pricing_table_item_func');
      add_shortcode('testimonials', 'anps_testimonials');
      add_shortcode('testimonial', 'anps_testimonial');
      add_shortcode('statement','anps_statement_func');
      add_shortcode('accordion', 'anps_accordion_func');
      add_shortcode('accordion_item', 'anps_accordion_item_func');
      add_shortcode("contact", "anps_contact_func");
      add_shortcode("form_item", "anps_contact_item_func");
      add_shortcode("contact_button", "anps_contact_button_func");
      add_shortcode('contact_info', 'anps_contact_info_func');
      add_shortcode('contact_info_item', 'anps_contact_info_item_func');
      add_shortcode('section', 'section_func');
}